## deepin-ocr-plugin-manager 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(deepin-ocr-plugin-manager)

add_subdirectory(src)
