=== debian/changelog ===
deepin-ocr-plugin-manager (1.0.0) unstable; urgency=medium

  * Pre-release for deepin-ocr-plugin-manager 1.0.0

 -- TagBuilder <wangzhengyang@uniontech.com>  Fri, 12 Aug 2022 10:18:26 +0000
