=== debian/control ===
Source: deepin-ocr-plugin-manager
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 11), cmake, libncnn-dev, libopencv-mobile-dev, pkg-config
Standards-Version: 4.1.3
Homepage: http://www.deepin.org/

Package: libdeepin-ocr-plugin-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libncnn, libopencv-mobile
Description: OCR plugin manager for UOS
 OCR develop library and useful plugin management tool.

Package: libdeepin-ocr-plugin-manager-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdeepin-ocr-plugin-manager
Description: OCR plugin manager for UOS
 OCR develop library and useful plugin management tool.
