=== debian/changelog ===
deepin-ocr-plugin-manager (1.0.1) unstable; urgency=medium

  * fix ocr failed

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 07 Dec 2024 13:23:01 +0800
